# ximtoppm

Updated: 02 April 2000
Table Of Contents

## NAME

ximtoppm - convert an Xim file to a PPM image

## SYNOPSIS

ximtoppm [--alphaout={alpha-filename,-}] [ximfile]

## DESCRIPTION

This program is part of Netpbm.

ximptoppm reads an Xim file as input and produces a PPM image as output. The Xim toolkit is included in the contrib tree of the X.V11R4 release.

## OPTIONS

In addition to the options common to all programs based on libnetpbm (most notably -quiet, see Common Options), ximtoppm recognizes the following command line option:

You can abbreviate any option to its shortest unique prefix.

--alphaout=alpha-filename
  ximtoppm creates a PGM file containing the transparency channel values in the input image. If the input image doesn't contain a transparency channel, the alpha-filename file contains all zero (transparent) transparency values. If you don't specify --alphaout, ximtoppm does not generate a transparency file, and if the input image has a transparency channel, ximtoppm simply discards it.

  If you specify - as the filename, ximtoppm writes the transparency output to Standard Output and discards the image.

  Actually, an Xim image can contain an arbitrary fourth channel -- it need not be a transparency channel. ximtoppm extracts any fourth channel it finds as described above; it doesn't matter if it is a transparency channel or not.

  See pamcomp for one way to use the transparency output file.

## SEE ALSO

pamcomp, ppm

## AUTHOR

Copyright (C) 1991 by Jef Poskanzer.

## Table Of Contents

- SYNOPSIS
- DESCRIPTION
- OPTIONS
- SEE ALSO
- AUTHOR